Subject: RE: Limiting Standard API Languages

From: "McDonald, Ira" <[email-masked]>
Date: Mon, 26 Jun 2000 10:19:56 -0700

Hi,

I think it would be a good idea to take the SLPv2 APIs
(C and Java, but _not_ any others) onto the IETF
standards track in the future.  I agree that maintaining
(either as Informational or Standards-Track) an RFC with
more than 2 APIs sounds difficult.

Cheers,
- Ira McDonald, consulting architect at Xerox and Sharp
  High North Inc

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Sunday, June 25, 2000 7:55 PM
To: [email-masked]
Subject: Limiting Standard API Languages

It occured to me that one way we could limit standard API languages was to
move
RFC 2614 from informational to standards track. This would make it be more
"offical", and the IESG would probably not approve another API draft as
a standard (though I suppose they could as informational, since nothing
stops
anybody from publishing as informational).

I think there are other APIs that have gone standards track, I believe the
LDAP API recently did. If/When we recharter the working group to go to
draft standard, we can discuss this as part of the charter.

			jak